Next Previous Contents

## 2. Installation

QWireless is developed using KDevelop. To install it on your handheld system, you can either choose the ipkg-binary for qtopia or grab the sources (tgz for kdevelop 2.1) and compile it on your system.

For this, you need a linux system including cross compilation environment like it is described at ipaqhelp. Here you can either find, how to setup your machine for crosscompilation and a lot of tips developing for linux handhelds.

## 2.1 How to obtain QWireless

QWireless is available as an ipkg (binary compatible with QPE 1.4.0 or QTopia 1.5.0) or as a source tarball for KDevelop use. You can load it from my homepage qwireless.

## 2.2 Compilation and installation of the source tarball

In order to compile and install QWireless on your system, type the following in the base directory of the QWireless distribution:

> `

>     % ./configure
>     % make
>     % make install

> `

Since QWireless uses

    autoconf

you should have not trouble compiling it. Should you run into problems please report them to the the author at Werner Schulte

## 2.3 Installation on the handheld

Put my homepages ipkgs dir into your /etc/ipkg.conf file and run `ipkg update;ipkg install qwireless`. This will install qwireless with an example configuation as well as libiw.so.24.

### Manual

Grab the ipk files from my homepage and transfer them to the handheld. Unpack them using

`ipkg install qwireless_x.y.z_arm.ipk`

and clear the ipk itself.

### Ipkg automatism

Alternatively, you can also add `http://www.uv-ac.de/ipkgs` to your /etc/ipkg.conf. Doing `ipkg update;ipkg install qwireless` will install qwireless. The libiw.so.24 will be install also into /usr/lib. Maybe a `ldconfig` is necessary afterwards to update the lib cache.

## 2.4 Configuration

Before you can start, QWireless needs to know, where its configuration is stored. For this, you have to setup an appropriate environment variable QWIRELESSCFG. On your handheld, you can do that in the /etc/profile (assuming you use the user root). Insert the line

`export QWIRELESSCFG=/root/Applications/qwireless/data`

assuming you are using bash or similar.

Note
From version 0.1.0 on this is done by the installation process postinstall. To get the environment variable working, you have to reboot your handheld after installation.

This is the location where QWireless finds its configuration file. The following paragraph shows the config file as an example.

> `

>     <?qwireless version="0.1" type="config"?>
>     #-------------------------------------------------------------
>     # Config-File for qwireless
>     # written from qwireless : 0.1.0
>     # last modified : date = 30.06.2002
>     #                 time = 12:50:59
>     #
>     # File is automatically generated, dont modify manually
>     #

>     [HEADER]
>     LASTFILE=last;
>     INTERFACE=eth1;
>     HELPPROG=helpbrowser;
>     HELPFILE=/opt/QtPalmtop/docs/qwireless/en/index.html;
>     PING PROG=ping;
>     PING OPTIONS=-c 2 -i 0.3 -f -q -w 1;
>     HOST IP=192.168.0.199;
>     OVERVIEW UPDATE[ms]=1000;
>     DETAIL UPDATE[ms]=3000;
>     PING UPDATE[ms]=3000;

>     ##EOF QWIRELESS CFG FILE

> `

- LASTFILE
  The filename, where the last used qwireless file is stored. If existing, the program always starts with the last file used (and stored).
- INTERFACE
  The interface name, which is used for wireless lan.
- PING PROG
  The `ping` program to be used for ping calls.
- PING OPTIONS
  The option to call ping.
  - -c 2
    use 2 ping frames.
  - -i 0.3
    use 0.3 sec betwenn the pings (note values below 0.2 are only allowed to superuser).
  - -f
    use flood mode (to aviod long wait times)
  - -q
    use quiet mode
  - -w 1
    use timeout of 1 sec to return if not successfull.
- HOST IP
  The IP-adress/hostname of a host reachable from the total network. This host should be pinged frequently to produce traffic on the network interface.
- OVERVIEW UPDATE
  This is the update rate (in ms) for the overiew (wireless info).
- DETAIL UPDATE
  This is the update rate (in ms) for the detail list (mainly static info).
- PING UPDATE
  This is the update rate (in ms) for the host ping.
- HELPPROG
  The help file browser.
- HELPFILE
  The help file incl. the full path.

Next Previous Contents